
    // Region1


    Info<< "region1: Reading field T\n" << endl;

    volScalarField T1
    (
        IOobject
        (
            "T",
            runTime.timeName(),
            mesh1,
            IOobject::MUST_READ,
            IOobject::AUTO_WRITE
        ),
        mesh1
    );


    Info<< "region1:Reading transportProperties\n" << endl;

    IOdictionary transportProperties1
    (
        IOobject
        (
            "transportProperties",
            runTime.constant(),
            mesh1,
            IOobject::MUST_READ,
            IOobject::NO_WRITE
        )
    );


    Info<< "Reading diffusivity DT\n" << endl;

    dimensionedScalar DT1
    (
        transportProperties1.lookup("DT1")
    );

    Info<< "Reading conductivity K\n" << endl;

    dimensionedScalar K1
    (
        transportProperties1.lookup("K1")
    );


    // Region2


    Info<< "region2: Reading field T\n" << endl;

    volScalarField T2
    (
        IOobject
        (
            "T",
            runTime.timeName(),
            mesh2,
            IOobject::MUST_READ,
            IOobject::AUTO_WRITE
        ),
        mesh2
    );


Info<< "region2:Reading transportProperties\n" << endl;

    IOdictionary transportProperties2
    (
        IOobject
        (
            "transportProperties",
            runTime.constant(),
            mesh2,
            IOobject::MUST_READ,
            IOobject::NO_WRITE
        )
    );


    Info<< "Reading diffusivity DT\n" << endl;

    dimensionedScalar DT2
    (
        transportProperties2.lookup("DT2")
    );

    Info<< "Reading conductivity K\n" << endl;

    dimensionedScalar K2
    (
        transportProperties2.lookup("K2")
    );


label topReg1 = mesh1.boundaryMesh().findPatchID("top");
label bottomReg2 = mesh2.boundaryMesh().findPatchID("bottom");
vectorField CfTopReg1 = mesh1.Cf().boundaryField()[topReg1];
vectorField CfBottomReg2 = mesh2.Cf().boundaryField()[bottomReg2];

Info<< "face center region1: \n" << CfTopReg1 << endl;
Info<< "face center region2: \n" << CfBottomReg2 << endl;
